function [feasibility, individualObservations] = OracleCall(x, runlength, seed, problem)
individualObservations = zeros(1, runlength);
feasibility = 1;
parThresh = 25;
feasCheck = feval(char(problem), x, 1, seed(1));
    if isnan(feasCheck(1))
        feasibility = 0;
    end
    if (feasibility == 1)
        for i = 1:runlength
            oracle = feval( char(problem), x, 1, seed(i));
            individualObservations(i) = oracle(1);
        end
    end
end
% if (feasibility == 1)
%     if (runlength <= parThresh)
%         for i = 1:runlength
%             oracle = feval( char(problem), x, 1, seed(i));
%             individualObservations(i) = oracle(1);
%         end
%     else
%         parpool('local',2);
%         parfor i = 1:runlength
%             oracle =feval(char(problem), x, runlength, seed(i), 1123);
%             individualObservations(i) = oracle(1);
%         end
%     end
% end